<?php
session_start();
/*error_reporting(0);*/
include('../koneksi.php');
// untuk data yg gagal disimpan
/*echo "<pre/>"; print_r($_POST);*/

if(isset($_POST['kode_akun']) AND isset($_POST['debet'])){
}

$id =  $_POST['id_jurnal'];
$jml = count($id);
$tglat= date('Y',strtotime($_POST['tgl']));
$tglat2= $_POST['tgl'];
$username   = $_SESSION['username'];
$no_bukti = "AT".$_SESSION['nokode'].date("YmdHis");
$tgl          = $_POST['tgl'];
$kode_akun = $_POST['kode_akun'];
$kode   = $_SESSION['kode'];
$keterangan = "Akhir Thn_".date('Y',strtotime($_POST['tgl']));
$debet = '';
$kredit = str_replace(",", "", $_POST['debet']);
$tglnow = date("Y-m-d H:i:s");

/*$ket1 = mysqli_query($koneksi,"SELECT keterangan AS ket1 from bukubesar WHERE keterangan='$keterangan' ");
   $data1 = mysqli_fetch_array($ket1);
   extract($data1);
   if($keterangan!==$ket1){
    echo "<script type='text/javascript'>alert('Posting Akhir tahun Sudah dilakukan');
window.location = '../home.php?home=2ece2d90197c4ba9d91706ce66c8e8c8';
</script>";
   }else{*/

$print = mysqli_query($koneksi,"SELECT SUM(kredit-debet)AS shu from bukubesar WHERE year(tanggal)='$tglat' AND kode_akun >='4' ");
   $data2 = mysqli_fetch_array($print);
   extract($data2);
                 
   $query = mysqli_query($koneksi,"insert into bukubesar SET id_jurnal='', no_bukti='$no_bukti',tanggal='$tglat2',kode_akun='2.310.05',debet='0',kredit='$shu',keterangan='$keterangan',kode='$kode',username='$username',tglsystem='$tglnow' ")or die(mysqli_error($koneksi)); 

for($i=0; $i <$jml; $i++){
//tidak boleh terlalu banyak 
  // untuk update sukses 100%
/*$query = mysqli_query($koneksi,"UPDATE pinjaman SET kol='$kol[$i]' WHERE rekening='$no[$i]' ")or die(mysqli_error($koneksi));*/
// untuk tambahdata sukses 100%
$query = mysqli_query($koneksi,"INSERT INTO bukubesar SET tanggal='$tgl',no_bukti='$no_bukti',kode_akun='$kode_akun[$i]',kode='$kode',keterangan='$keterangan',debet='$debet[$i]',kredit='$kredit[$i]',username='$username' ")or die(mysqli_error($koneksi));
}
echo "<script type='text/javascript'>alert('Posting Akhir Tahun Sukses');
window.location = '../home.php?home=2ece2d90197c4ba9d91706ce66c8e8c8';
</script>";

/*}*/
?>
